Part Helix/cs: Difference between revisions

From FreeCAD Documentation
(Created page with "===Základní geometrické tvary === {| | File:PartHelixPrimitivesOptions_it.png | Šroubovice ====Parametr==== * {{Parameter|Stoupání}} * {{Parameter|Výška}} * {{Para...")
(Updating to match new version of source page)
 
(22 intermediate revisions by 4 users not shown)
Line 1: Line 1:
<languages/>
{{GuiCommand/cs|Name=Part_Helix|Name/cs=Díl Šroubovice|MenuLocation=Díl → [[Part_CreatePrimitives/cs|Vytváření zákl.geom.tvarů]] → Šroubovice|Workbenches=[[Part Module/cs|Díl]], [[OpenSCAD_Module/cs|OpenSCAD]]|SeeAlso=..}}


{{Docnav
|[[Part_Wedge|Wedge]]
|[[Part_Spiral|Spiral]]
|[[Part_Workbench|Part]]
|IconL=Part_Wedge.svg
|IconR=Part_Spiral.svg
|IconC=Workbench_Part.svg
}}


<div class="mw-translate-fuzzy">
===Základní geometrické tvary ===
{{GuiCommand/cs|Name=Part Helix|Name/cs=Díl Šroubovice|MenuLocation=Díl → [[Part_CreatePrimitives/cs|Vytváření zákl.geom.tvarů]] → Šroubovice|Workbenches=[[Part_Workbench/cs|Díl]], [[OpenSCAD_Workbench/cs|OpenSCAD]]|SeeAlso=..}}
{|
</div>
| [[File:PartHelixPrimitivesOptions_it.png]]
|
Šroubovice
====Parametr====
* {{Parameter|Stoupání}}
* {{Parameter|Výška}}
* {{Parameter|Poloměr}}
* {{Parameter|Úhel}}
* {{Parameter|Levotočivá nebo pravotočivá}}
====Umístění====
*
*
|}


<div class="mw-translate-fuzzy">
===Property===
== Popis ==
{|
Na této stránce je vysvětleno jak editovat základní parametry šroubovice. Kliknete na ikonu [[Image:Part_CreatePrimitives.png|32px]] [[Part_CreatePrimitives|Základní geometrické tvary]] a na ikonu šroubovice [[Image:Part_Helix.png|32px]] v rozbalovacím menu pro editování parametrů vytvářené šroubovice. Když jse nastavili všechny parametry, kliknete na tlačítko "Vytvořit" pro vykraeslení šroubovice. Once you have edited all the parameters click the button "create" to draw the helix.
| [[File:PartHelixProperty_it.png]]
</div>
|
==== View ====
..
==== Data ====
{{KEY|Base}}<br />
* {{ProprietaDati|Label}}:
* {{ProprietaDati|Placement}}:
====Coordinate ...====
* {{ProprietaDati|Local coord}}:
{{KEY|Helix}}<br />
* {{ProprietaDati|Angle}} :
* {{ProprietaDati|Height}} :
* {{ProprietaDati|Pitch}} :
* {{ProprietaDati|Radius}} :
|}


A [[Image:Part_Helix.svg|24px]] '''Part Helix''' is a parametric shape that can be created with the [[Image:Part_Primitives.svg|24px]] [[Part_Primitives|Part Primitives]] command. In the coordinate system defined by its {{PropertyData|Placement}} property, the axis of the helix matches the Z axis and its bottom point, the start point, lies on the X axis.


[[Image:Part_Helix_Example.png|400px]]
{{clear}}

<languages/>
== Usage ==

See [[Part_Primitives#Usage|Part Primitives]].

== Example ==

[[Image:Part_Helix_Scripting_Example.png|thumb|Part Helix from the scripting example]]

A Part Helix object created with the [[#Scripting|scripting example]] below is shown here.

== Notes ==

* A Part Helix can be used to create screw threads. See [[Thread_for_Screw_Tutorial|Thread for Screw Tutorial]].

== Properties ==

See also: [[Property_editor|Property editor]].

A Part Helix object is derived from a [[Part_Feature|Part Feature]] object and inherits all its properties. It also has the following additional properties:

=== Data ===

{{TitleProperty|Attachment}}

The object has the same attachment properties as a [[Part_Part2DObject#Data|Part Part2DObject]].

{{TitleProperty|Coordinate System}}

* {{PropertyData|Local Coord|Enumeration}}: The [https://en.wikipedia.org/wiki/Screw_thread handedness], or direction, of the helix: {{Value|Right-handed}} or {{Value|Left-handed}}. The default is {{Value|Right-handed}}, meaning the helix turns counterclockwise as it goes up.

{{TitleProperty|Helix}}

* {{PropertyData|Pitch|Length}}: The distance between two consecutive turns of the helix measured along its Z axis. The default is {{Value|1mm}}.
* {{PropertyData|Height|Length}}: The height of the helix. The default is {{Value|2mm}}.
* {{PropertyData|Radius|Length}}: The start radius of the helix. The helix has a constant radius if {{PropertyData|Angle}} is {{Value|0°}}.
* {{PropertyData|Segment Length|QuantityConstraint}}: The number of turns per helix subdivision. The default is {{Value|1}}, meaning each full turn of the helix is a separate segment. Use {{Value|0}} to suppress subdivision.
* {{PropertyData|Angle|Angle}}: The angle that defines of the outer shape of the helix. Valid range: {{Value|-90° &lt; value &lt; 90°}}. The default is {{Value|0°}}. If it is {{Value|0°}} the helix is cylindrical, else it is conical.

== Scripting ==

See also: [https://freecad.github.io/SourceDoc/ Autogenerated API documentation], [[Part_scripting|Part scripting]] and [[FreeCAD_Scripting_Basics|FreeCAD Scripting Basics]].

A Part Helix can be created with the {{Incode|addObject()}} method of the document:

{{Code|code=
helix = FreeCAD.ActiveDocument.addObject("Part::Helix", "myHelix")
}}

* Where {{Incode|"myHelix"}} is the name for the object.
* The function returns the newly created object.

Example:

{{Code|code=
import FreeCAD as App

doc = App.activeDocument()

helix = doc.addObject("Part::Helix", "myHelix")
helix.Pitch = 2
helix.Height = 3
helix.Radius = 4
helix.SegmentLength = 21
helix.Angle = 45
helix.Placement = App.Placement(App.Vector(1, 2, 3), App.Rotation(75, 60, 30))

doc.recompute()
}}


{{Docnav
|[[Part_Wedge|Wedge]]
|[[Part_Spiral|Spiral]]
|[[Part_Workbench|Part]]
|IconL=Part_Wedge.svg
|IconR=Part_Spiral.svg
|IconC=Workbench_Part.svg
}}

{{Part_Tools_navi{{#translation:}}}}
{{Userdocnavi{{#translation:}}}}

Latest revision as of 10:17, 3 March 2022

Díl Šroubovice

Umístění Menu
Díl → Vytváření zákl.geom.tvarů → Šroubovice
Pracovní stoly
Díl, OpenSCAD
Výchozí zástupce
Nikdo
Představen ve verzi
-
Viz také
..

Popis

Na této stránce je vysvětleno jak editovat základní parametry šroubovice. Kliknete na ikonu Základní geometrické tvary a na ikonu šroubovice v rozbalovacím menu pro editování parametrů vytvářené šroubovice. Když jse nastavili všechny parametry, kliknete na tlačítko "Vytvořit" pro vykraeslení šroubovice. Once you have edited all the parameters click the button "create" to draw the helix.

A Part Helix is a parametric shape that can be created with the Part Primitives command. In the coordinate system defined by its ÚdajePlacement property, the axis of the helix matches the Z axis and its bottom point, the start point, lies on the X axis.

Usage

See Part Primitives.

Example

Part Helix from the scripting example

A Part Helix object created with the scripting example below is shown here.

Notes

Properties

See also: Property editor.

A Part Helix object is derived from a Part Feature object and inherits all its properties. It also has the following additional properties:

Data

Attachment

The object has the same attachment properties as a Part Part2DObject.

Coordinate System

  • ÚdajeLocal Coord (Enumeration): The handedness, or direction, of the helix: Right-handed or Left-handed. The default is Right-handed, meaning the helix turns counterclockwise as it goes up.

Helix

  • ÚdajePitch (Length): The distance between two consecutive turns of the helix measured along its Z axis. The default is 1mm.
  • ÚdajeHeight (Length): The height of the helix. The default is 2mm.
  • ÚdajeRadius (Length): The start radius of the helix. The helix has a constant radius if ÚdajeAngle is .
  • ÚdajeSegment Length (QuantityConstraint): The number of turns per helix subdivision. The default is 1, meaning each full turn of the helix is a separate segment. Use 0 to suppress subdivision.
  • ÚdajeAngle (Angle): The angle that defines of the outer shape of the helix. Valid range: -90° < value < 90°. The default is . If it is the helix is cylindrical, else it is conical.

Scripting

See also: Autogenerated API documentation, Part scripting and FreeCAD Scripting Basics.

A Part Helix can be created with the addObject() method of the document:

helix = FreeCAD.ActiveDocument.addObject("Part::Helix", "myHelix")
  • Where "myHelix" is the name for the object.
  • The function returns the newly created object.

Example:

import FreeCAD as App

doc = App.activeDocument()

helix = doc.addObject("Part::Helix", "myHelix")
helix.Pitch = 2
helix.Height = 3
helix.Radius = 4
helix.SegmentLength = 21
helix.Angle = 45
helix.Placement = App.Placement(App.Vector(1, 2, 3), App.Rotation(75, 60, 30))

doc.recompute()